// wlanled.cpp : Defines the entry point for the application.
//

#include "stdafx.h"

#define	WLANLED_ON_EVENT_NAME	_T("LedDrvOnEventWLAN")
#define	WLANLED_OFF_EVENT_NAME	_T("LedDrvOffEventWLAN")

#define WLANLED_OPT_ON			_T("on")
#define WLANLED_OPT_OFF			_T("off")


int WINAPI WinMain(	HINSTANCE hInstance,
					HINSTANCE hPrevInstance,
					LPTSTR    lpCmdLine,
					int       nCmdShow)
{

	HANDLE	hEvent = NULL;

	if (lpCmdLine != NULL) {

		if (_tcscmp(lpCmdLine, WLANLED_OPT_ON) ==  0) {
			hEvent = CreateEvent(NULL, FALSE, FALSE, WLANLED_ON_EVENT_NAME);

		}
		else if(_tcscmp(lpCmdLine, WLANLED_OPT_OFF) ==  0) {
			hEvent = CreateEvent(NULL, FALSE, FALSE, WLANLED_OFF_EVENT_NAME);
		}

		if (hEvent != NULL) {
			SetEvent(hEvent);
			CloseHandle(hEvent);
			hEvent = NULL;
		}

	}

	return 0;
}

